%define libname	%mklibname %{name}

%global _vpath_srcdir src

Name:		soundkonverter
Version:	3.0.1
Release:	%mkrel 9
Summary:	An audio file converter, cd ripper and replay gain tool gui for various backends
Group:		Sound/Editors and Converters
License:	GPLv2
URL:		https://github.com/dfaust/soundkonverter/wiki
Source0:	https://github.com/dfaust/soundkonverter/archive/v%{version}/%{name}-%{version}.tar.gz
# from commit 9380a697c5da37d6b342d0d8dc0657753033623b (2020-04-08)
Patch0:		soundkonverter-3.0.1-backport-upstream-fixes-20200408.patch
# from gentoo
# https://github.com/dfaust/soundkonverter/pull/87/
Patch1:		soundkonverter-3.0.1-kf-5.72-findtaglib.patch

BuildRequires:	cdda-devel
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Cddb)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(taglib) >= 1.10

Recommends:	cdparanoia
Recommends:	cdrkit-icedax
Recommends:	fluidsynth
Recommends:	opus-tools

%description
An audio file converter, cd ripper and replay gain tool gui for various backends.

%files -f %{name}.lang
%doc src/CHANGELOG src/README
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/metainfo/%{name}.appdata.xml
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/solid/actions/%{name}-rip-audiocd.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}*.png
%{_kf5_services}/%{name}_*.desktop
%{_kf5_servicetypes}/%{name}_*.desktop

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
Libraries for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}core.so
%{_qt5_plugindir}/%{name}_*.so

%prep
%autosetup -p1

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 3.0.1-9.mga8
+ Revision: 1659922
- Rebuild for new Qt5

* Wed Sep 09 2020 zezinho <zezinho> 3.0.1-8.mga8
+ Revision: 1623867
- recommend fluidsynth and opus-tools to allow midi mod and opus formats

* Wed Jul 22 2020 daviddavid <daviddavid> 3.0.1-7.mga8
+ Revision: 1607828
- add gentoo patch to fix build with ECM >=5.72.0

* Thu Apr 09 2020 daviddavid <daviddavid> 3.0.1-6.mga8
+ Revision: 1565673
- backport upstream fixes from git 2020-04-08

* Sat Feb 15 2020 umeabot <umeabot> 3.0.1-5.mga8
+ Revision: 1525048
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 3.0.1-4.mga7
+ Revision: 1384865
- Qt5 Rebuild

* Mon Jan 07 2019 zezinho <zezinho> 3.0.1-3.mga7
+ Revision: 1351042
- add recommends on audio-cd rippers

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1301114
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 daviddavid <daviddavid> 3.0.1-1.mga7
+ Revision: 1168124
- new version: 3.0.1

* Tue Sep 12 2017 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1153217
- new version: 3.0.0
- remove merged upstream patches
- update Url and Source Url

* Sun Mar 19 2017 akien <akien> 2.2.2-2.20160720.1.mga6
+ Revision: 1093645
- Package unreleased KF5 port from https://github.com/isoft-linux/soundkonverter
- Reintroduce soundkonverter into cauldron, requested and has a usable kf5 port (mga#20514)
+ daviddavid <daviddavid>
- remove this kde4 package not yet ported to Kf5

* Mon May 23 2016 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 1017948
- new version: 2.2.2

* Wed May 04 2016 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 1009422
- new version: 2.2.1

* Sat Apr 09 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 999811
- new version: 2.2.0
- remove merged upstream patch

* Wed Jan 06 2016 daviddavid <daviddavid> 2.1.2-2.mga6
+ Revision: 919969
- add patch0 to fix taglib 1.10 cmake detection

* Sat Mar 07 2015 daviddavid <daviddavid> 2.1.2-1.mga5
+ Revision: 818013
- new version: 2.1.2
- add README and CHANGELOG files doc

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 740385
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-2.mga5
+ Revision: 689255
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 daviddavid <daviddavid> 2.1.1-1.mga5
+ Revision: 667133
- new version 2.1.1
+ dams <dams>
- clean specfile

* Wed Mar 05 2014 akien <akien> 2.1.0-1.mga5
+ Revision: 599962
- New version 2.1.0

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 530358
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 fwang <fwang> 2.0.4-1.mga4
+ Revision: 457394
- new version 2.0.4

* Sat Jun 08 2013 fwang <fwang> 2.0.3-1.mga4
+ Revision: 440433
- find_lang
- new version 2.0.3

* Mon Jan 14 2013 umeabot <umeabot> 1.6.4-2.mga3
+ Revision: 382377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 1.6.4-1.mga3
+ Revision: 328013
- new version 1.6.4

* Sat Dec 01 2012 malo <malo> 1.6.3-2.mga3
+ Revision: 324388
- update RPM group

* Tue Aug 14 2012 obgr_seneca <obgr_seneca> 1.6.3-1.mga3
+ Revision: 281326
- New version 1.6.3

* Tue Jul 03 2012 fwang <fwang> 1.6.2-2.mga3
+ Revision: 266882
- update br

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 1.6.2-1.mga3
+ Revision: 261674
- New version 1.6.2

* Tue May 29 2012 obgr_seneca <obgr_seneca> 1.5.0-1.mga3
+ Revision: 249216
- Rediffed patch
- new version 1.5.0

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 1.3.3-1.mga2
+ Revision: 216044
- new version 1.3.3

* Sun Feb 05 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 204681
- new version 1.3.0

* Wed Jan 04 2012 obgr_seneca <obgr_seneca> 1.2.1-1.mga2
+ Revision: 190778
- new version 1.2.1

* Mon Oct 24 2011 fwang <fwang> 1.2.0-1.mga2
+ Revision: 157594
- new version 1.2.0

* Thu Oct 13 2011 obgr_seneca <obgr_seneca> 1.1.0-1.mga2
+ Revision: 154706
- fixed desktop file
- new version 1.1.0
- imported package soundkonverter


* Sun Jul 18 2010 Jens Ornot <rpm@mandrivauser.de> 0.9.91-1mud2010.1
- initial package for Mandriva Linux

